Data - Retrieve State Widget Columns
Retrieves the state columns applicable for the specified entity ID
GET http://<Servername>/OperationsManager/data/stateColumns?entityId={entityId}
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
entity
|
query | True |
string |
Specify the Entity ID |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK.Successfully retrieved state columns. Media Types: "application/json", "text/json", "application/xml", "text/xml" |
Examples
RetrieveStateWidgetColumns
Sample request
GET http://<Servername>/OperationsManager/data/stateColumns?entityId=6f7e3306-beeb-2996-3795-7c1eafb925b8
Sample response
[
{
"name": "Health",
"id": "healthstate",
"typename": "text",
"isSortable": true,
"isGroupable": true
},
{
"name": "Display name",
"id": "displayname",
"typename": "text",
"isSortable": true,
"isGroupable": true
},
{
"name": "Path",
"id": "path",
"typename": "text",
"isSortable": true,
"isGroupable": true
},
{
"name": "Maintenance mode",
"id": "maintenancemode",
"typename": "text",
"isSortable": true,
"isGroupable": true
}
]
Definitions
HeaderColumns
| Name | Type | Description |
|---|---|---|
| id |
string |
Column ID |
| isGroupable |
boolean |
is Column Groupable |
| isSortable |
boolean |
is Column Sortable |
| name |
string |
Column Name |
| typename |
string |
Column Type Name |